@echo off

if "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
  set CPU=x64
) else if "%PROCESSOR_ARCHITEW6432%" == "AMD64" (
  set CPU=x64
) else (
  set CPU=x32
)

rem Check for Windows Vista
FOR /F "TOKENS=2 DELIMS=[" %%A IN ('VER') DO FOR /F "TOKENS=2" %%B in ('ECHO.%%A') DO FOR /F "TOKENS=1 DELIMS=." %%C in ('ECHO.%%B') DO SET WINVER=%%C
if "%WINVER%" == "6" (
  echo PLEASE NOTE: This script must be run as Administrator in Windows Vista.  If you
  echo   did not run it as Administrator, please press CTRL+C now and rerun it as
  echo   Administrator.
  pause
)

cd %CPU%
call setup
cd ..
